Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property.servlets.jsp.taglib
Class ResultTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.property.servlets.jsp.taglib.PropertyTag
                  |
                  +--com.bea.p13n.property.servlets.jsp.taglib.ResultTag

Direct Known Subclasses:
  GetPropertyNamesTag, GetPropertySetNamesTag, GetRestrictedPropertyValuesTag

public abstract class ResultTag
extends PropertyTag
implements PropertySetTagConstants

Base class for tags that support a result variable.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `result`

Fields inherited from class com.bea.p13n.property.servlets.jsp.taglib.PropertyTag
`PROPERTY_SET_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`ResultTag()`

Method Summary
`java.lang.String` | `getResult()` Get the name of the result variable
`void` | `release()` Reset the result variable to null
`void` | `setResult(java.lang.String s)` Set the name of the result variable

Methods inherited from class com.bea.p13n.property.servlets.jsp.taglib.PropertyTag
`getPropertySetManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### result

    protected java.lang.String result

Constructor Detail

### ResultTag

    public ResultTag()

Method Detail

### release

    public void release()

  Reset the result variable to null

  Overrides:
    release in class PropertyTag

### getResult

    public java.lang.String getResult()

  Get the name of the result variable

### setResult

    public void setResult(java.lang.String s)

  Set the name of the result variable

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved